﻿using Infragistics.Web.Mvc;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Grid_table.Models;

namespace Grid_table.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
			DataTable dt = GetData();

			List<Objective> items = new List<Objective>();

			foreach (DataRow row in dt.Rows)
			{
				Objective item = new Objective();
				item.ID = Convert.ToInt32(row["ID"].ToString());
				item.Goal1 = row["Goal1"].ToString() ;
				item.Goal2  = row["Goal2"].ToString();
				items.Add(item);
			}
			//return items; 

			List<KeyValuePair<int, string>> rating = new List<KeyValuePair<int, string>>();
			rating.Add(new KeyValuePair<int, string>(1, "Fully Achieves Expectations"));
			rating.Add(new KeyValuePair<int, string>(2, "Consistently Surpasses Expectations"));
			rating.Add(new KeyValuePair<int, string>(3, "Frequently Exceeds Expectations"));
			rating.Add(new KeyValuePair<int, string>(4, "Needs Development"));
			ViewBag.Rating = rating.AsQueryable();

			return View(items.AsQueryable());
        }
		public DataTable GetData() {
			DataTable dt = new DataTable();
			dt.Columns.Add("ID");
			dt.Columns.Add("Goal1");
			dt.Columns.Add("Goal2");

			for (int i = 0; i < 20; i++)
			{
				DataRow row = dt.NewRow();
				row["ID"] =  i;
				row["Goal1"] = 1;
				row["Goal2"] = 2;
				dt.Rows.Add(row);
			}

			return dt;
		}

		[GridDataSourceAction]
		public ActionResult GridData() {
			DataTable table = GetData();
			var t = table.Select().ToList().AsQueryable();
			return View(table); 
		}
    }
}